import { promises as fs } from "fs";
export async function readFileAsJSON(filePath) {
    try {
        return JSON.parse((await fs.readFile(filePath)).toString());
    }
    catch (error) {
        throw new Error(`Could not read file from ${filePath} as JSON. Please ensure the file exists and is valid JSON.`, { cause: error });
    }
}
//# sourceMappingURL=readFileAsJSON.js.map