import { $ } from "execa";
import { readFileAsJSON } from "../../readFileAsJSON.js";
import { getExistingEquivalentLabel } from "./getExistingEquivalentLabel.js";
export async function hydrateRepositoryLabels() {
    const getLabelName = (label) => label.name;
    const existingLabels = JSON.parse((await $ `gh label list --json name`).stdout || "[]").map(getLabelName);
    const outcomeLabels = (await readFileAsJSON("./src/setup/labels.json"));
    for (const outcome of outcomeLabels) {
        const existingEquivalent = getExistingEquivalentLabel(existingLabels, outcome.name);
        const [action, label] = existingEquivalent
            ? ["edit", existingEquivalent]
            : ["create", outcome.name];
        await $ `gh label ${action} ${label} --color ${outcome.color} --description ${outcome.description}`;
    }
    const allowedLabels = new Set(outcomeLabels.map(getLabelName));
    for (const existingLabel of existingLabels) {
        if (!allowedLabels.has(existingLabel)) {
            await $ `gh label delete ${existingLabel} --yes`;
        }
    }
}
//# sourceMappingURL=hydrateRepositoryLabels.js.map